Bug 10198 - gcc -3.2.2 and gcc-3_2-branch fail to build cygwin->linux cross compiler
Summary: gcc -3.2.2 and gcc-3_2-branch fail to build cygwin->linux cross compiler
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: bootstrap (show other bugs)
Version: 3.2.2
: P3 normal
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-03-24 02:56 UTC by garen
Modified: 2003-10-07 03:34 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description garen 2003-03-24 02:56:00 UTC
Compile bombs out with this error:

../../../gcc-3.2.2-r2/gcc/fixinc/gnu-regex.c: In function `compile_range':
../../../gcc-3.2.2-r2/gcc/fixinc/gnu-regex.c:3051: warning: signed and unsigned
type in conditional expression
../../../gcc-3.2.2-r2/gcc/fixinc/gnu-regex.c:3051: warning: signed and unsigned
type in conditional expression
../../../gcc-3.2.2-r2/gcc/fixinc/gnu-regex.c: In function `regerror':
../../../gcc-3.2.2-r2/gcc/fixinc/gnu-regex.c:5723: warning: implicit declaration
 of function `__mempcpy'
gcc -DIN_GCC -DHAVE_CONFIG_H -DIN_GCC -DCROSS_COMPILE -g -O2 -W -Wall -Wwrite-st
rings -Wstrict-prototypes -Wmissing-prototypes -Wtraditional -pedantic -Wno-long
-long -DHAVE_CONFIG_H -DGENERATOR_FILE  -W -Wall -Wwrite-strings -Wstrict-protot
ypes -Wmissing-prototypes -Wtraditional -pedantic -Wno-long-long -I. -I.. -I../.
./../gcc-3.2.2-r2/gcc/fixinc -I../../../gcc-3.2.2-r2/gcc/fixinc/.. -I../../../gc
c-3.2.2-r2/gcc/fixinc/../config -I../../../gcc-3.2.2-r2/gcc/fixinc/../../include
  -o fixincl.exe fixincl.o fixtests.o fixfixes.o server.o procopen.o gnu-regex.o
 fixlib.o ../../libiberty/libiberty.a
gnu-regex.o(.text+0x6556): In function `regerror':
/home/Icheb/gccbuild/gcc/fixinc/../../../gcc-3.2.2-r2/gcc/fixinc/gnu-regex.c:572
3: undefined reference to `___mempcpy'
collect2: ld returned 1 exit status
make[2]: *** [full-stamp] Error 1
make[2]: Leaving directory `/home/Icheb/gccbuild/gcc/fixinc'
make[1]: *** [fixinc.sh] Error 2
make[1]: *** Waiting for unfinished jobs....
mv tmp-libgcc.mk libgcc.mk
make[1]: Leaving directory `/home/Icheb/gccbuild/gcc'
make: *** [all-gcc] Error 2

Release:
3.2.2 / 3_2-branch

Environment:
Cygwin 1.3.22-1

How-To-Repeat:
tar xjvf gcc-3.2.2.tar.bz2
mkdir gccbuild
cd gccbuild
../gcc-3.2.2/configure --target=i686-pc-linux-gnu --enable-shared --enable-languages=c,c++ --enable-long-long --enable-threads=posix
make -j4
Comment 1 Kaveh Ghazi 2003-04-15 14:24:26 UTC
From: ghazi@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org
Cc:  
Subject: bootstrap/10198
Date: 15 Apr 2003 14:24:26 -0000

 CVSROOT:	/cvs/gcc
 Module name:	gcc
 Changes by:	ghazi@gcc.gnu.org	2003-04-15 14:24:26
 
 Modified files:
 	gcc            : ChangeLog 
 	libiberty      : ChangeLog getopt.c regex.c 
 	gcc/fixinc     : gnu-regex.c 
 
 Log message:
 	gcc:
 	PR target/10338
 	PR bootstrap/10198
 	PR bootstrap/10140
 	* fixinc/gnu-regex.c (regerror): Use mempcpy not __mempcpy.
 	
 	libiberty:
 	PR target/10338
 	PR bootstrap/10198
 	PR bootstrap/10140
 	* getopt.c (exchange, _getopt_initialize): Use mempcpy not
 	__mempcpy.
 	* regex.c (regerror): Likewise.
 
 Patches:
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&r1=1.17456&r2=1.17457
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libiberty/ChangeLog.diff?cvsroot=gcc&r1=1.431&r2=1.432
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libiberty/getopt.c.diff?cvsroot=gcc&r1=1.7&r2=1.8
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libiberty/regex.c.diff?cvsroot=gcc&r1=1.13&r2=1.14
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/fixinc/gnu-regex.c.diff?cvsroot=gcc&r1=1.15&r2=1.16
 

Comment 2 Kaveh Ghazi 2003-04-15 14:24:26 UTC
From: ghazi@gcc.gnu.org
To: gcc-gnats@gcc.gnu.org
Cc:  
Subject: bootstrap/10198
Date: 15 Apr 2003 14:24:26 -0000

 CVSROOT:	/cvs/gcc
 Module name:	gcc
 Changes by:	ghazi@gcc.gnu.org	2003-04-15 14:24:26
 
 Modified files:
 	gcc            : ChangeLog 
 	libiberty      : ChangeLog getopt.c regex.c 
 	gcc/fixinc     : gnu-regex.c 
 
 Log message:
 	gcc:
 	PR target/10338
 	PR bootstrap/10198
 	PR bootstrap/10140
 	* fixinc/gnu-regex.c (regerror): Use mempcpy not __mempcpy.
 	
 	libiberty:
 	PR target/10338
 	PR bootstrap/10198
 	PR bootstrap/10140
 	* getopt.c (exchange, _getopt_initialize): Use mempcpy not
 	__mempcpy.
 	* regex.c (regerror): Likewise.
 
 Patches:
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&r1=1.17456&r2=1.17457
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libiberty/ChangeLog.diff?cvsroot=gcc&r1=1.431&r2=1.432
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libiberty/getopt.c.diff?cvsroot=gcc&r1=1.7&r2=1.8
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/libiberty/regex.c.diff?cvsroot=gcc&r1=1.13&r2=1.14
 http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/fixinc/gnu-regex.c.diff?cvsroot=gcc&r1=1.15&r2=1.16
 

Comment 5 Kaveh Ghazi 2003-04-25 15:16:13 UTC
State-Changed-From-To: open->closed
State-Changed-Why: Fixed in 3.3, too late for 3.2.3.